org.python.modules

## Class ArrayModule

- java.lang.Object
- - org.python.modules.ArrayModule

All Implemented Interfaces:
  ClassDictInit

    public class ArrayModule
    extends java.lang.Object
    implements ClassDictInit

The python array module, plus jython extensions from jarray.

### Field Summary

Fields
`static PyString` `__doc__`

### Constructor Summary

Constructors
Constructor and Description
`ArrayModule()`

### Method Summary

Methods
`static void` `classDictInit(PyObject dict)`
`static PyArray` `zeros(char typecode, int n)`
`static PyArray` `zeros(java.lang.Class type, int n)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### __doc__

    public static PyString __doc__

### Constructor Detail

#### ArrayModule

    public ArrayModule()

### Method Detail

#### classDictInit

    public static void classDictInit(PyObject dict)

#### zeros

    public static PyArray zeros(char typecode,
                int n)

#### zeros

    public static PyArray zeros(java.lang.Class type,
                int n)